

// MEDIA QUERY MANAGER
/*

According to boostrap (link - https://getbootstrap.com/docs/4.1/layout/overview/)

0 - 575.98px        :           Extra small device (potrait phone)
576 - 767.98px      :           Small device (landscape phone)
768 - 991.98px      :           Medium (tablet)
992 - 1199.98px     :           Large device (desktop)
> 1200px            :           Extra large device (large desktop)

$breakpoint argument choices:
-   xs
-   sm
-   md
-   lg
-   xl

*/

@mixin breakpoint($device) {

    @if $device == xs {
        @content;    // >> 575.98px / 16 = 35.99em
    }

    @if $device == xs-sm {
        @media (max-width: 35.98em) { @content; }
    }

    @if $device == xs-md {
        @media (max-width: 47.98em) { @content; }
    }

    @if $device == xs-lg {
        @media (max-width: 61.98em) { @content; }
    }

    @if $device == xs-xl {
        @media (min-width: 74.98em) { @content; }
    }

    @if $device == sm {
        @media (min-width: 35.99em) { @content; }  // >> 767.98px / 16 = 47.99em
    }

    @if $device == md {
        @media (min-width: 47.99em) { @content; }       // >> 991.98px / 16 = 61.99em
    }

    @if $device == lg {
        @media (min-width: 61.99em) { @content; }   // >> 1199.98px / 16 = 74.99em
    }

    @if $device == xl {
        @media (min-width: 74.99em) { @content; }  // >> 1200px / 16 = 75em
    }
}
